
-- Hugo94Fr
-- Team Modding Portugal
-- 21/08/2015

JCB_3cxByTMP = {};

function JCB_3cxByTMP.prerequisitesPresent(specializations)
    return true;
end;

function JCB_3cxByTMP:load(xmlFile)
    self.TrocardeDirecao = SpecializationUtil.callSpecializationsFunction("TrocardeDirecao");
	self.TrocarRoda =0;
end;

function JCB_3cxByTMP:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)  
   if not resetVehicles then
       self.TrocarRoda = Utils.getNoNil(getXMLFloat(xmlFile, key.."#modsdedirecao"),0);
end;
    return BaseMission.VEHICLE_LOAD_OK;
end;

function JCB_3cxByTMP:getSaveAttributesAndNodes(nodeIdent)
   local attributes = ' modsdedirecao="'..tonumber(self.TrocarRoda)..'"';
   return attributes, nil;
end;

function JCB_3cxByTMP:mouseEvent(posX, posY, isDown, isUp, button)
end;

function JCB_3cxByTMP:keyEvent(unicode, sym, modifier, isDown)
end;

function JCB_3cxByTMP:update(dt)
if InputBinding.hasEvent(InputBinding.TrocardeDirecaoRodas) and self:getIsActiveForInput() then
   self.TrocarRoda = self.TrocarRoda +1 ;
end; 
   if self.TrocarRoda == 0  then
          self:TrocardeDirecao(25, -25, 70, 25, -25, 70, 0, 0, 0, 0, 0, 0)
      elseif self.TrocarRoda == 1 then
		 self:TrocardeDirecao(25, -25, 70, 25, -25, 70, 25, -25, -70, 25, -25, -70)
      elseif self.TrocarRoda == 2 then
         self:TrocardeDirecao(0, 0, 0, 0, 0, 0, 25, -25, -70, 25, -25, -70)
      elseif self.TrocarRoda == 3 then
         self:TrocardeDirecao(25, -25, 70, 25, -25, 70, 25, -25, 70, 25, -25, 70)
      elseif self.TrocarRoda == 4 then
         self.TrocarRoda = 0;
        end;
end;

function JCB_3cxByTMP:draw()
    g_currentMission:addHelpButtonText(g_i18n:getText("TrocardeDirecaoRodas"), InputBinding.TrocardeDirecaoRodas); 
end;

function JCB_3cxByTMP:TrocardeDirecao(wheel1min,wheel1max, wheel1speed, wheel2min, wheel2max,wheel2speed, wheel3min, wheel3max,wheel3speed, wheel4min, wheel4max, wheel4speed)
    self.wheels[1].rotMax = Utils.degToRad(wheel1min);
    self.wheels[2].rotMax = Utils.degToRad(wheel2min);
    self.wheels[1].rotMin = Utils.degToRad(wheel1max);
    self.wheels[2].rotMin = Utils.degToRad(wheel2max);   
    self.wheels[3].rotMax = Utils.degToRad(wheel3min);
    self.wheels[4].rotMax = Utils.degToRad(wheel4min);
    self.wheels[3].rotMin = Utils.degToRad(wheel3max);
    self.wheels[4].rotMin = Utils.degToRad(wheel4max);  
    self.wheels[1].rotSpeed = Utils.degToRad(wheel1speed); 
    self.wheels[2].rotSpeed = Utils.degToRad(wheel2speed);
    self.wheels[3].rotSpeed = Utils.degToRad(wheel3speed); 
    self.wheels[4].rotSpeed = Utils.degToRad(wheel4speed);       
end;

function JCB_3cxByTMP:delete()
end;